2024-04-21 23:10:53 UTC
50.3 MB
/usr/lib/jvm/liberica11-container-jre
LANGen_US.UTF-8
LANGUAGEen_US:en
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:85261cf002234b4c01ab4e633df69dd973ade8b4fa277a38d4f0005f56f634b6 - 22.03% (11.1 MB)
[#001] sha256:bbfcba1f66770dd2b1637f46ebd8bab799efd68800e5ac3624b2d8b0b4f64275 - 77.97% (39.2 MB)
/bin/sh -c #(nop) ARG MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ARG LIBC MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-04-21 22:12:38 UTC/bin/sh -c #(nop) ADD file:bc3dd2e325415a3cab18a4fa57d060492b87fdf634eb408f141a8b3ace298868 in /
2024-04-21 22:12:38 UTC|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-240421-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi
2024-04-21 22:12:39 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-04-21 23:10:45 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc-240421)/bin/sh -c #(nop) ARG JAVA_RELEASE
2024-04-21 23:10:45 UTC (FROM e2cddedb1643)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE
2024-04-21 23:10:45 UTC (FROM 7c4550f07552)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE REMOVE_APK_TOOLS
2024-04-21 23:10:45 UTC (FROM f72cc4a3e807)/bin/sh -c #(nop) ARG CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-04-21 23:10:45 UTC (FROM ea3d538528c5)/bin/sh -c #(nop) ARG CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS
2024-04-21 23:10:45 UTC (FROM 1306af4595fc)/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-04-21 23:10:45 UTC (FROM 77d89e904e82)/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-04-21 23:10:45 UTC (FROM 012b11ebba64)/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-04-21 23:10:45 UTC (FROM a5c9b052a444)/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
2024-04-21 23:10:45 UTC (FROM 9b614c21692a)/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-container-jre"
2024-04-21 23:10:53 UTC (FROM 0d003adb72de)|14 CDS=no DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JRE 11. JAVA_RELEASE=11 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17' and '21' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-container-jre"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-container-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.